Skip to content
Guides
CustomersCustomers
customer_group:update

Update customer group

Updates a customer group's name and settings, without touching its members.

PUT/v1/customers/groups/{id}

Updates a customer group's name and settings, without touching its members.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/customers/groups/7204558912004325301" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Example resource",    "description": "Example description.",    "isActive": true,    "type": "manual",    "criteria": {      "minTotalSpent": 1,      "minOrders": 1,      "lastOrderWithinDays": 1,      "windowDays": 1,      "categoryId": "7204558912004325301",      "salesChannel": "example"    }  }'
Empty